Can't update 1.0.4

Technical Support
Hi there all well error 3007 whe I got the game had to open some ports to get the game working now with this new error I have tried as the guys are saying to set google as DNS here are steps to follow the windows or mac step by step, I logged in to the game and then closed the game and reset all my setting to automatic and tried again and it worked logged in and all good, and the ports I had open on the router are also closed hope this help

Join the Conversation

Return to Forum